unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.StdCtrls, Vcl.Grids,
  AdvObj, BaseGrid, AdvGrid, Vcl.ExtCtrls;

type
  TForm1 = class(TForm)
    AdvStringGrid1: TAdvStringGrid;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Panel1: TPanel;
    AdvStringGrid2: TAdvStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  AdvStringGrid1.ColCount:=4;
  AdvStringGrid1.RowCount:=1;
  AdvStringGrid1.cells[0,0]:='Drive';
  AdvStringGrid1.cells[1,0]:='Path';
  AdvStringGrid1.Cells[2,0]:='File Name';
  AdvStringGrid1.Cells[3,0]:='Full String';
  AdvStringGrid1.AutoSizeColumns(True);

  AdvStringGrid2.ColCount:=4;
  AdvStringGrid2.RowCount:=1;
  AdvStringGrid2.cells[0,0]:='Drive';
  AdvStringGrid2.cells[1,0]:='Path';
  AdvStringGrid2.Cells[2,0]:='File Name';
  AdvStringGrid2.Cells[3,0]:='Full String';
  AdvStringGrid2.AutoSizeColumns(True);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    AdvStringGrid1.AddRow;
    AdvStringGrid1.cells[0,AdvStringGrid1.LastRow]:=ExtractFileDrive(OpenDialog1.FileName);
    AdvStringGrid1.cells[1,AdvStringGrid1.LastRow]:=ExtractFilePath(OpenDialog1.FileName);
    AdvStringGrid1.cells[2,AdvStringGrid1.LastRow]:=ExtractFileName(OpenDialog1.FileName);
    AdvStringGrid1.cells[3,AdvStringGrid1.LastRow]:=OpenDialog1.FileName;
    AdvStringGrid1.AutoSizeColumns(True);

    AdvStringGrid2.AddRow;
    AdvStringGrid2.cells[0,AdvStringGrid1.LastRow]:=ExtractFileDrive(OpenDialog1.FileName);
    AdvStringGrid2.cells[1,AdvStringGrid1.LastRow]:=ExtractFilePath(OpenDialog1.FileName);
    AdvStringGrid2.cells[2,AdvStringGrid1.LastRow]:=ExtractFileName(OpenDialog1.FileName);
    AdvStringGrid2.cells[3,AdvStringGrid1.LastRow]:=OpenDialog1.FileName;
    AdvStringGrid2.AutoSizeColumns(True);

  end;
end;

end.
